%global momorel 4
%global qtver 3.3.7
%global kdever 3.5.9
%global kde4ver 4.0.83
%global kdelibsrel 4m
%global kdegraphicsrel 3m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Libkdcraw is a C++ interface around dcraw binary program used to decode RAW picture files
Name: libkdcraw
Version: 0.1.4
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
# for icons
Requires: kdegraphics >= %{kde4ver}-%{kdegraphicsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: lcms-devel
BuildPreReq: libjpeg-devel
BuildPreReq: pkgconfig

%description
Libkdcraw is a C++ interface around dcraw binary program used to decode RAW
picture files.  The library documentation is available on header files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

%package devel
Summary: Static libraries and headers for libkdcraw
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libkdcdraw.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# conflicts with kdegraphics-4.0.83
rm -f %{buildroot}%{_datadir}/icons/hicolor/*/apps/kdcraw.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/libkdcraw3
%{_libdir}/libkdcraw.so.*
%{_datadir}/locale/*/LC_MESSAGES/libkdcraw.mo

%files devel
%defattr(-, root, root)
%{_includedir}/kde/libkdcraw
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/libkdcraw.la
%{_libdir}/libkdcraw.so

%changelog
* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-4m)
- remove icons to avoid conflicting with kdegraphics
- Requires: kdegraphics

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.4-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.4-2m)
- rebuild against gcc43

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.3-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-2m)
- %%NoSource -> NoSource

* Tue Jan  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2
- License: GPLv2

* Sat Jun 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Wed May  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-1m)
- initial package for Momonga Linux
